Skip to content
中文

POST /kling/v1/videos/avatar/image2video

Method: POSTEndpoint: /kling/v1/videos/avatar/image2video

This document is not updated in real time. For the full version, see the official documentation: https://app.klingai.com/cn/dev/document-api/apiReference/model/avatar

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
video_id
string
Required
prompt
string
Required
Example
{
"image"
:
"string"
,
"audio_id"
:
"string"
,
"sound_file"
:
"string"
,
"prompt"
:
"string"
,
"mode"
:
"string"
,
"callback_url"
:
"string"
,
"external_task_id"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/kling/v1/videos/avatar/image2video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "image": "string",
    "audio_id": "string",
    "sound_file": "string",
    "prompt": "string",
    "mode": "string",
    "callback_url": "string",
    "external_task_id": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{
    "code": 0,
    "message": "SUCCEED",
    "request_id": "CmJ8DGePZioAAAAAAFIvOQ",
    "data": {
        "task_id": "CmJ8DGePZioAAAAAAFIvOQ",
        "task_status": "submitted",
        "created_at": 1737628288136,
        "updated_at": 1737628288136
    }
}